| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfePrach_Trigger Struct Reference
Overview

Trigger configuration. More...

## Data Fields
u32 | TriggerEnable
| [0,1], Enable Trigger: More...
u32 | Mode
| [0-3], Specify Trigger Mode. More...
u32 | TuserEdgeLevel
                 [0-3], Specify either Edge or Level of the TUSER
input as the source condition of the trigger. More...
u32 | StateOutput
| [0,1], Specify the State output value: More...
u32 | TUSERBit
           [0-255], Specify which DIN TUSER bit to use as the source
for the trigger when MODE = 1 or 2. More...

## Detailed Description

Trigger configuration.

## Field Documentation

u32 XDfePrach_Trigger::Mode

[0-3], Specify Trigger Mode.

In TUSER_Single_Shot mode as soon as the TUSER_Edge_level condition is met the State output will be driven to the value specified in STATE_OUTPUT. The Pulse output will pulse high at the same time. No further change will occur until the trigger register is re-written. In TUSER Continuous mode each time a TUSER_Edge_level condition is met the State output will be driven to the value specified in STATE_OUTPUT This will happen continuously until the trigger register is re-written. The pulse output is disabled in Continuous mode:

- 0 = IMMEDIATE: Applies the value of STATE_OUTPUT immediatetly the register is written.
- 1 = TUSER_SINGLE_SHOT: Applies the value of STATE_OUTPUT once when the TUSER_EDGE_LEVEL condition is satisfied.
- 2 = TUSER_CONTINUOUS: Applies the value of STATE_OUTPUT continually when TUSER_EDGE_LEVEL condition is satisfied.
- 3 = RESERVED: Reserved - will default to 0 behaviour.

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), XDfePrach_GetTriggersCfg(), and XDfePrach_SetTriggersCfg().

u32 XDfePrach_Trigger::StateOutput

[0,1], Specify the State output value:

- 0 = DISABLED: Place the State output into the Disabled state.
- 1 = ENABLED: Place the State output into the Enabled state.

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), XDfePrach_GetTriggersCfg(), and XDfePrach_SetTriggersCfg().

u32 XDfePrach_Trigger::TriggerEnable

[0,1], Enable Trigger:

- 0 = DISABLED: Trigger Pulse and State outputs are disabled.
- 1 = ENABLED: Trigger Pulse and State outputs are enabled and follow the settings described below.

Referenced by XDfePrach_GetTriggersCfg(), and XDfePrach_SetTriggersCfg().

u32 XDfePrach_Trigger::TUSERBit

           [0-255], Specify which DIN TUSER bit to use as the source

for the trigger when MODE = 1 or 2.

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), XDfePrach_GetTriggersCfg(), and XDfePrach_SetTriggersCfg().

u32 XDfePrach_Trigger::TuserEdgeLevel

                 [0-3], Specify either Edge or Level of the TUSER

input as the source condition of the trigger.

Difference between Level and Edge is Level will generate a trigger immediately the TUSER level is detected. Edge will ensure a TUSER transition has come first:

- 0 = LOW: Trigger occurs immediately after a low-level is seen on TUSER provided tvalid is high.
- 1 = HIGH: Trigger occurs immediately after a high-level is seen on TUSER provided tvalid is high.
- 2 = FALLING: Trigger occurs immediately after a high to low transition on TUSER provided tvalid is high.
- 3 = RISING: Trigger occurs immediately after a low to high transition on TUSER provided tvalid is high.

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), XDfePrach_GetTriggersCfg(), and XDfePrach_SetTriggersCfg().